## org.eclipse.datatools.sqltools.result
Interface IResultSetRow

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  ResultSetRow

    public interface IResultSetRow

extends java.io.Serializable

The `IResultSetRow` represents a row in `IResultSetObject`.

Author:
  Dafan Yang
See Also:
  `IResultSetObject`

Method Summary
`java.lang.Object[]` `getData()` Returns the data of this row
`java.lang.Object` `getData(int index)` Returns the row data at the given column (the index is based on 0)
`void` `setData(java.lang.Object[] values)` Sets the row data for this row
`void` `setData(java.lang.Object obj, int index)` Sets the row data of at the given column (the index is based on 0)

Method Detail

### getData

    java.lang.Object[] getData()

  Returns the data of this row

  Returns:
    the row values

### getData

    java.lang.Object getData(int index)

  Returns the row data at the given column (the index is based on 0)

  Parameters:
    `index` - the column index
  Returns:
    the data at the given column

### setData

    void setData(java.lang.Object[] values)

  Sets the row data for this row

  Parameters:
    `values` - data of this row

### setData

    void setData(java.lang.Object obj,
                 int index)

  Sets the row data of at the given column (the index is based on 0)

  Parameters:
    `obj` - the column data
    `index` - the column index

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.